unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, TestObj;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    ResultBox: TEdit;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
var obj1,
	obj2: TBaseTestObject;
begin
	try
		obj1 := TBaseTestObject.Create;
		obj2 := TBaseTestObject.Create;

		obj1.SetMyAlpha('Some alpha stuff');
		obj1.SetMyMoney(534.23);
		obj1.SetMyTimeStamp(Now);

		if not obj1.Save then
			ResultBox.Text := 'Save failed';

		obj2.Assign(obj1);

		if not obj2.IsEqual(obj1) then
			ResultBox.Text := 'IsEqual failed';

		obj1.DBDelete;

	finally
		obj1.Free;
		obj2.Free;
	end;
end;

end.
